//
// $Id: Hello.cpp 85364 2009-05-18 08:13:02Z vzykov $
//
#include "Hello.h"

ACE_RCSID(Hello, Hello, "$Id: Hello.cpp 85364 2009-05-18 08:13:02Z vzykov $")

Hello::Hello (CORBA::ORB_ptr orb)
  : orb_ (CORBA::ORB::_duplicate (orb))
{
}

char *
Hello::get_string (void)
{
  return CORBA::string_dup ("Hello there!");
}

void
Hello::shutdown (void)
{
  this->orb_->shutdown (0);
}
